#ifndef __DRIVER_CTL_H__
#define __DRIVER_CTL_H__

#include <SupportDefs.h>

// this file defines the ioctl interface 
// between the driver and the application
// it should be #included in the app

// IOCTL opcodes...
#define OUTPORTB 'ou8'
#define INPORTB  'in8'
#define OUTPORTW 'ou16'
#define INPORTW  'in16'
#define OCCUR 'oc'
#define GET_INT_SEM 'sem'

/* This defines the ioctl structure 
passed by the application */

typedef struct pardev {
	uint32 Port;
	uint8 Data; // for outportb
	uint16 Data16; // for outportw
	uint irq;
	bool intoccured;
	sem_id mainsem;
	sem_id releaser1;
} pardev;

#endif